%global source_dir  %{_datadir}/%{name}-source
%global inst_srcdir %{buildroot}/%{source_dir}

Name:             libev
Version:          4.33
Release:          4
Summary:          A high-performance event loop/event model with lots of features
License:          BSD or GPLv2+
URL:              https://github.com/enki/libev
Source0:          https://fossies.org/linux/misc/libev-%{version}.tar.gz
Patch1:           libev-Add-sw64-architecture.patch

BuildRequires:    autoconf automake coreutils findutils gcc libtool make tar

Provides:         bundled(libecb) = 1.05

%description
Libev is modeled (very loosely) after libevent and the Event Perl
module, but is faster, scales better and is more correct, and also more
featureful. And also smaller.

%package devel
Summary:          Development files for %{name}
Requires:         %{name} = %{version}-%{release}

%description devel
Libraries and header files of %{name} are all in the %{name}-devel package.

%package libevent-devel
Summary:          Compatibility development header with libevent for %{name}.
Requires:         %{name}-devel%{?_isa} = %{version}-%{release}

# The event.h file actually conflicts with the one from libevent-devel
Conflicts:        libevent-devel

%description libevent-devel
This package contains a development header to make libev compatible with
libevent.

%package        help
Summary:        Help manual for %{name}

%description    help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{name}-%{version} -p1
autoreconf -vfi

%build
%configure --disable-static --with-pic
%make_build

%check
make check

%install
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -rf %{buildroot}%{_libdir}/%{name}.la

%ldconfig_scriptlets

%files
%license LICENSE
%doc Changes README
%{_libdir}/%{name}.so.4*

%files devel
%{_includedir}/ev++.h
%{_includedir}/ev.h
%{_libdir}/%{name}.so

%files libevent-devel
%{_includedir}/event.h

%files help
%{_mandir}/man?/*

%changelog
* Wed Mar 27 2024 gengqihu <gengqihu2@h-partners.com> - 4.33-4
- Add sw64 architecture

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.33-3
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Mon Sep 14 2020 chengzihan <chengzihan2@huawei.com> - 4.33-2
- Replace invalid url of Source0

* Wed Apr 15 2020 kangenbo<kangenbo@huawei.com> - 4.33-1
- Type: bugfix
- ID:NA
- SUG:NA
- DESC:upgrade to 4.33

* Thu Oct 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.24-11
- remove event.h from devel subpackage

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 4.24-10
- delete conflict

* Wed Oct 30 2019 hexiaowen <hexiaowen@huawei.com> - 4.24-9
- add libev-libevent-devel

* Tue Oct 22 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.24-8
- Package init
